Skip to main content
POST
Share feature flag results

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

experimentId
integer<int64>
required

Body

application/json
dateIntervals
object[]
required

Date boundaries to include only the results from the specified time period(s).

allVariationsData
boolean
default:false

Set to true to include data from all variations at once.

bayesian
boolean
default:false

Enables the current Bayesian result probability for the experiment in the report.

breakdown
object

Parameter by which you want to segment the report, instead of by time interval. When the request specifies this field, the report ignores the interval field. A request accepts only one breakdown object.

callbackUrl
string

Callback URL that you want to send the data response to.

enabledMultipleTesting
boolean
default:false

Enables multiple testing correction for the experiment in the report.

filters
object[]

List of filters to apply to the data included in the report.

goalIdsCuped
integer<int64>[]

Specifies which CUPED goals to include in the report. Use an empty list [] to exclude all CUPED goals. Use null to include all CUPED goals. Use a list of CUPED goal IDs [123, 456] to include only those goals.

goalsIds
integer<int64>[]

Specifies which goals to include in the report. Use an empty list [] to exclude all goals. Use null to include all goals. Use a list of goal IDs [123, 456] to include only those goals.

interval
enum<string>
deprecated

Time interval by which the report segments data. Deprecated. Use breakdown with IntervalBreakdown type instead.

Available options:
MINUTE,
HOUR,
DAY,
WEEK,
MONTH,
YEAR
referenceVariationId
string

Unique ID of the variation that you want to use as the reference variation.

sequentialTesting
boolean
default:false

Enables the sequential testing result for the experiment in the report.

visitorData
boolean
default:false

Set to true to only include data from unique visitors. By default, the report includes all visitor data.

Response

OK

headers
object
method
enum<string>
Available options:
GET,
HEAD,
POST,
PUT,
DELETE,
CONNECT,
TRACE,
OPTIONS,
PATCH,
QUERY
path
string
payload
object
url
string